## soundtouch 1.5.0

=== debian/changelog ===
soundtouch (1.5.0-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Deapply patch after git-buildpackage'ing, abort on upstream changes.

  [ Miguel Colon ]
  * Change file permissions to 644 in debian/*
  * Add 09_WavFile.patch: Don't crash with 24/32 Wav files. (LP: #639927)
  * Fix the 08_nostrip.patch: Do not patch autogenerated files.
  * Update 01_upstream_fixes.patch: Do not install the soundtouch-1.4.pc file.
  * libsoundtouch-dev: needs to provide libsoundtouch1-dev (Closes: #615140)
  * Do not remove libsoundtouch1c2 if installed. (Closes: #615141, #615269)

 -- Miguel Colon <debian.micove@gmail.com>  Sat, 26 Feb 2011 23:39:41 +0100

soundtouch (1.5.0-3) unstable; urgency=low

  [ Miguel Colon ]
  * Override dh_prep only when it's actually needed.
  * Fix FTBFS when using debhelper 7 and not building the lib32 packages.
  * Add myself as uploader.
  * Strip the SONAME out of the lib32 -DEV runtime's name.
  * Rename libsoundtouch0-dev.install to libsoundtouch-dev.install.
  * Rename and update libsoundtouch0-dev.links to libsoundtouch-dev.links.
  * Rename lib32soundtouch0-dev.install to lib32soundtouch-dev.install.
  * Rename and update lib32soundtouch0-dev.links to lib32soundtouch-dev.links.
  * Update dependencies of lib32soundtouch-dev.

  [ Alessio Treglia ]
  * Upload to unstable.
  * Strip the SONAME out of the -DEV runtime's name.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Feb 2011 00:44:05 +0100

soundtouch (1.5.0-2) experimental; urgency=low

  [ Alessio Treglia ]
  * Adopting this (Closes: #546981).
  * Add gbp config file.
  * debian/control: A bit of style and clean-up.
  * Downgrade debhelper dependency, debhelper >= 7.0.50~ is enough.
  * Update as per DEP-5 rev.162.
  * libsoundtouch0-dev provides libsoundtouch-dev.
  * lib32soundtouch0-dev provides lib32soundtouch-dev
  * Add .gitignore to skip .pc/* files.

  [ Miguel Colon ]
  * Update the description field of the development packages.
  * One dependency per line for package soundstretch.
  * Create the libsoundtouch0-dbg package.
  * Create the lib32soundtouch0-dbg package.
  * Create the soundstretch-dbg package.
  * Change copyright year.

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Jan 2011 11:11:14 +0100

soundtouch (1.5.0-1) experimental; urgency=low

  [ Alessio Treglia ]
  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Set target to experimental.
  * Don't install static libraries.
  * Remove libtool *.la files.
  * debian/rules:
    - dh_autoreconf is a superset of the autotools-dev debhelper addons so
      don't use both autoreconf and dh_autotools_dev helpers, otherwise the
      package source directory may be left in an inconsistent state once the
      build has finished.

  [ Miguel Colon ]
  * New upstream release. (closes: #516905, #585557)
    - Update soundstretch manual page.
    - Remove 07_gcc43.patch since it's already fixed upstream.
  * Add upstream patch fixing obsolete version references.
    - Mantain soundtouch-1.4.pc for compatibility.
  * Add a debian watch file. (closes: #543729)
  * Bump Standards-Version to 3.9.1.
  * Rename libsoundtouch1c2 to libsoundtouch0 and libsoundtouch1-dev to 
    libsoundtouch0-dev so we comply with policy.
    - Obsolete c2 naming due to CXX transition is not needed anymore.
    - ardour used to provide libsoundtouch0 and libsoundtouch0-dev as mentioned 
      in #271108. These packages were removed in 2004.
  * Convert package to 3.0 (quilt) format:
    - Bump debhelper compatibility level to 8.
    - Update build dependencies. 
    - Fix paths in *.install and *.docs files.
    - Update rules file.
    - Update patches to quilt and add headers.
  * Make lintian happier:
    - Fix duplicated word warning and other typos.
    - Add ${misc:Depends} to libsoundtouch0.
    - Update and reformat copyright file.
  * Add packages lib32soundtouch0-dev and lib32soundtouch0.
  * Instead of providing the same doc folders. Create a symlink from the doc 
    folder of libsoundtouch0-dev, lib32soundtouch0-dev and lib32soundtouch0 to
    the doc folder of libsoundtouch0.

 -- Alessio Treglia <alessio@debian.org>  Wed, 12 Jan 2011 12:18:38 +0100

soundtouch (1.3.1-2) unstable; urgency=low

  * removed sse flag in Makefile.am (closes: #479809)
  * upstream supplies pgconfig file, using that (closes: #476699)
  * new upstream version accepted (closes: #462643)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 07 May 2008 11:04:58 +0200

soundtouch (1.3.1-1) unstable; urgency=low

  * new upstream version
  * acknowledged NMU changes
  * Standards-Version to 3.7.3

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 05 May 2008 15:57:40 +0200

soundtouch (1.3.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Forcibly run automake as well as aclocal, ensuring that the versions of
    automake and aclocal used are in sync (Closes: #471635).
    - Use aclocal 1.8, not 1.7 as in the previous NMU, since that appears to
      be the version used upstream
  * Make lintian slightly happier:
    - move -dev package to libdevel
    - correctly use the word "Copyright", not just (C), in debian/copyright

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sat, 05 Apr 2008 11:56:51 +0100

soundtouch (1.3.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build multiple times in a row. (Closes: #444542, #441747).
    + Adjust DEB_AUTO_UPDATE_*.
    + Add DEB_AC_AUX_DIR.
  * 07_gcc43.patch - Build with gcc-4.3. (Closes: #455171).
    + Thanks to Cyril Brulebois for the patch.
  * 08_nostrip.patch - Stop LD from stripping. (Closes: #438038).

 -- Barry deFreese <bddebian@comcast.net>  Mon, 10 Mar 2008 00:55:24 -0400

soundtouch (1.3.0-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/06_gcc41.patch: Remove extra qualification from C++ header
    file (closes: #356522).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 22:16:25 +0200

soundtouch (1.3.0-2) unstable; urgency=low


