=== debian/control ===
Source: soundtouch
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Miguel Colon <debian.micove@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 g++-multilib [amd64]
Standards-Version: 3.9.1
Homepage: http://www.surina.net/soundtouch/
Vcs-Git: git://git.debian.org/pkg-multimedia/soundtouch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/soundtouch.git

Package: libsoundtouch-dev
Section: libdevel
Architecture: any
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Replaces: libsoundtouch1-dev
Conflicts: libsoundtouch1-dev
Provides: libsoundtouch0-dev,
 libsoundtouch1-dev
Description: Development files for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files used to build programs that use
 libsoundtouch0.

Package: libsoundtouch0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Sound stretching library
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library.

Package: libsoundtouch0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols for libsoundtouch0.

Package: lib32soundtouch-dev
Section: libdevel
Architecture: amd64
Depends: libsoundtouch-dev (= ${binary:Version}),
 lib32soundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Provides: lib32soundtouch0-dev
Description: Development files for the sound stretching library (32 bit)
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files (32 bit) used to build programs
 that use lib32soundtouch0.

Package: lib32soundtouch0
Architecture: amd64
Depends: libsoundtouch0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Sound stretching library (32 bit)
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library (32 bit).

Package: lib32soundtouch0-dbg
Priority: extra
Section: debug
Architecture: amd64
Depends: lib32soundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library (32 bit)
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols (32 bit) for lib32soundtouch0.

Package: soundstretch
Section: sound
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Stretches and pitch-shifts sound independently
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This program uses libsoundtouch for the actual work.

Package: soundstretch-dbg
Priority: extra
Section: debug
Architecture: any
Depends: soundstretch (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the soundstretch program
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This package contains the debugging symbols for soundstretch.
