=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_clean:
	dh_clean
	rm -f soundtouch.pc

override_dh_auto_configure:
        ifeq ($(DEB_HOST_ARCH), amd64)
		dh_auto_configure -- CC='gcc -m32' CXX='g++ -m32' \
                                   --enable-shared=yes \
                                   --bindir=\$${prefix}/bin32 \
                                   --libexecdir=\$${prefix}/lib32/soundtouch \
                                   --libdir=\$${prefix}/lib32
		$(MAKE)
		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
		$(MAKE) clean
        endif

	dh_auto_configure -- --enable-shared=yes

ifeq ($(DEB_HOST_ARCH), amd64)
override_dh_prep:
	dh_prep --exclude=debian/tmp
endif

override_dh_install:
	dh_install -s

override_dh_installdocs:
	dh_installdocs -plibsoundtouch0 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch0 -psoundstretch

override_dh_strip:
	dh_strip --package=libsoundtouch0 --dbg-package=libsoundtouch0-dbg
        ifeq ($(DEB_HOST_ARCH), amd64)
		dh_strip --package=lib32soundtouch0 --dbg-package=lib32soundtouch0-dbg
        endif
	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg

override_dh_gencontrol:
	dh_gencontrol -s

override_dh_builddeb:
	dh_builddeb -s

%:
	dh $@ --with autoreconf
