## soundtouch 1.6.0

=== debian/changelog ===
soundtouch (1.6.0-3) unstable; urgency=low

  * debian/copyright:
    - Fix the syntax in the license paragraph.
    - Update copyright years.
    - Update to finalized DEP-5 copyright-format 1.0.
  * Bump Standards-Version to 3.9.3.
  * Bump the debhelper version and compatibility level to 9.
    - Adds hardening support.
    - Drops the need to explicitly use DEB_HOST_MULTIARCH in the rules file.
  * Mark libsoundtouch-dev as Multi-Arch: same.

 -- Miguel Colon <debian.micove@gmail.com>  Sun, 04 Mar 2012 21:03:50 -0500

soundtouch (1.6.0-2) unstable; urgency=low

  * Build for Multiarch. Drop lib32* (Closes: #635169).
    Thanks to Gregory Hainaut for the patch.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 12:45:30 +0200

soundtouch (1.6.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Bump Standards.

  [ Miguel Colon ]
  * Imported Upstream version 1.6.0
  * Bump debhelper to version 8.
  * debian/rules:
    - Remove workaround that was needed when using debhelper 7.
  * debian/patches:
    - Drop 00_upstream_fixes.patch - merged upstream.
    - Refresh 01_remove_sse.patch.
    - Drop 03_WavFile.patch - fixed upstream.
  * Remove debian/clean file.
  * debian/copyright
    - Update as per DEP-5 rev.174 (no changes needed).
    - Update copyright years.
    - Update the URI of the format specification.

 -- Miguel Colon <debian.micove@gmail.com>  Sat, 16 Jul 2011 21:36:02 -0400

soundtouch (1.5.0-5) unstable; urgency=low

  [ Miguel Colon ]
  * Remove soundtouch.pc during the clean routine.
  * Remove 04_remove_asm.patch since 02_remove_sse.patch already does this.
  * Remove obsolete README.Debian file.
  * Update and rename the files in debian/patches.

  [ Alessio Treglia ]
  * Put soundtouch.pc into debian/clean.
  * Update libsoundtouch0.docs, README.Debian has been deleted.

 -- Miguel Colon <debian.micove@gmail.com>  Thu, 10 Mar 2011 14:49:09 -0500
