=== debian/control ===
Source: soundtouch
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Miguel Colon <debian.micove@gmail.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://www.surina.net/soundtouch/
Vcs-Git: git://git.debian.org/pkg-multimedia/soundtouch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/soundtouch.git

Package: libsoundtouch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Replaces: libsoundtouch1-dev
Conflicts: libsoundtouch1-dev
Provides: libsoundtouch0-dev,
 libsoundtouch1-dev
Description: Development files for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files used to build programs that use
 libsoundtouch0.

Package: libsoundtouch0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Sound stretching library
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library.

Package: libsoundtouch0-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols for libsoundtouch0.

Package: soundstretch
Section: sound
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Stretches and pitch-shifts sound independently
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This program uses libsoundtouch for the actual work.

Package: soundstretch-dbg
Priority: extra
Section: debug
Architecture: any
Depends: soundstretch (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the soundstretch program
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This package contains the debugging symbols for soundstretch.
