=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared=yes

override_dh_installdocs:
	dh_installdocs -plibsoundtouch0 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch0 -psoundstretch

override_dh_strip:
	dh_strip --package=libsoundtouch0 --dbg-package=libsoundtouch0-dbg
	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg

%:
	dh $@ --parallel --with autoreconf
