## soundtouch 1.7.0

=== debian/changelog ===
soundtouch (1.7.0-2) experimental; urgency=low

  * Remove 01_remove_sse.patch, no longer needed.
  * Simplify the rules file. The shared library is now built by default.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 05 Sep 2012 02:29:37 -0400

soundtouch (1.7.0-1) experimental; urgency=low

  [ Miguel A. Colón Vélez ]
  * debian/copyright
    - Update the copyright years.
    - Wrap the license paragraph to column 80.
  * Update my entry in the uploaders list.

  [ Alessio Treglia ]
  * New upstream release.
  * Update debian/copyright.
  * Refresh patches.
  * Remove 02_nostrip.patch, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Sep 2012 18:26:44 +0200
