## soundtouch 1.7.1

=== debian/changelog ===
soundtouch (1.7.1-5) unstable; urgency=low

  * Team upload.
  * Fix assertion in findCrossingLevel (LP: #1193667)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 10 Dec 2013 12:07:30 +0800

soundtouch (1.7.1-4) unstable; urgency=low

  * Team upload.
  * debian/control: Fix Breaks of libsoundtouch0. The binary package is called
    gstreamer1.0-plugins-bad and not gst-plugins-bad1.0.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Sep 2013 00:24:35 +0200

soundtouch (1.7.1-3) unstable; urgency=low

  * Team upload.
  * debian/patches/dont-use-integers-if-softp.patch: Revert ABI breakage on
    armel. Don't use integers instead of floats if __SOFTP__ is defined.
    (Closes: #723681)
  * debian/control:
    - libsoundtouch-dev: Don't mark as M-A: same. It contains arch-dependent
      files in /usr/include/soundtouch. (Closes: #707751)
    - libsoundtouch0: Add Breaks on gstreamer1.0-plugins-bad and yatm (armel
      only). They have been built against the broken ABI.
  * debian/rules: Bump shlibs of libsoundtouch0 to >= 1.7.1-3~.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Sep 2013 16:00:23 +0200

soundtouch (1.7.1-2) unstable; urgency=low

  * Upload to unstable.
  * Use canonical URL for VCS fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:44:43 +0200

soundtouch (1.7.1-1) experimental; urgency=low

  * New upstream release.
  * Remove empty debian/patches/series.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 14:25:00 +0000
