=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibsoundtouch0 -V 'libsoundtouch0 (>= 1.7.1-3~)'
+	dh_makeshlibs -plibsoundtouch0 -V 'libsoundtouch0 (>= 1.8.0)'
 
 %:
 	dh $@ --parallel --with autoreconf
