## soundtouch 1.9.0

=== debian/changelog ===
soundtouch (1.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Create a custom soundtouch_config.h file. (Closes: #749746)
  * debian/patches:
    - Drop dont-use-integers-if-softfp.patch - fixed upstream.
    - Drop fix-fp-rounding-error.patch - merged upstream.
    - Add preserve-cxxflags.patch to preserved the flags set by dh.
  * Add --disable-silent-rules to avoid a compiler-flags-hidden warning.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 02 Jul 2015 02:07:13 -0400
