## soundtouch 1.9.2

=== debian/changelog ===
soundtouch (1.9.2-3) unstable; urgency=medium

  * Team upload.

  [ Gabor Karsay ]
  * Add patch to fix
    - CVE-2017-9258 (Closes: #870854)
    - CVE-2017-9259 (Closes: #870856)
    - CVE-2017-9260 (Closes: #870857)

  [ James Cowgill ]
  * Use secure URLs where possible
  * debian/changelog:
    - Trim trailing whitespace in d/changelog.
  * debian/compat:
    - Use debhelper compat 11.
  * debian/control:
    - Drop manual debug packages.
    - Fix spelling mistake in soundstretch package description.
    - Bump standards version to 4.1.2.
    - Set Rules-Requires-Root: no.
    - Use canonical Vcs-* URLs.

 -- James Cowgill <jcowgill@debian.org>  Wed, 27 Dec 2017 16:31:50 +0000

soundtouch (1.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 28 Sep 2015 10:13:25 -0400

soundtouch (1.9.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump the SONAME due to ABI Breakage in the 1.9.1 release.
      (Closes: #799402)
  * Bump shlibs version to account for the new SONAME.
  * debian/control:
    - Rename libsoundtouch0[-dbg] to libsoundtouch1[-dbg].
    - Update the description of the packages.
    - Update the Breaks/Conflicts/Provides relationships.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sun, 20 Sep 2015 16:31:23 -0400

soundtouch (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop preserve-cxxflags.patch. Merged upstream.
  * Bump shlibs version to account for new symbols.
  * Mark libsoundtouch-dev as Multi-Arch: same.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 18 Sep 2015 01:37:20 -0400
