=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_installdocs:
	dh_installdocs -plibsoundtouch1 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch1 -psoundstretch

override_dh_strip:
	# Can be removed after next upstream version bump
	dh_strip -psoundstretch --dbgsym-migration='soundstretch-dbg (<< 1.9.2-3~)'
	dh_strip --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibsoundtouch1 -V 'libsoundtouch1 (>= 1.9.2)'

%:
	dh $@
