=== debian/watch ===
version=3
https://www.surina.net/soundtouch/sourcecode.html soundtouch-(.+)\.tar\.gz
