## soundtouch 2.0.0

=== debian/changelog ===
soundtouch (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/:
    - Install README.html only in soundstretch
    - Remove symlinked doc dirs.
  * debuan/rules:
    - Bump shlibs.
  * debian/control:
    - Remove old Breaks+Replaces.
    - Bump Standards-Version
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Aug 2018 15:34:06 +0200
