=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
  debhelper (>= 11),
 Rules-Requires-Root: no
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: https://www.surina.net/soundtouch/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/soundtouch.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/soundtouch.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch
 
 Package: libsoundtouch1
 Architecture: any
@@ -19,10 +19,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- libsoundtouch1c2
-Replaces:
- libsoundtouch1c2
 Description: Sound stretching library
  SoundTouch is a library that can be used to change pitch and time
  of soundfiles independently.
@@ -36,12 +32,6 @@
 Depends:
  libsoundtouch1 (= ${binary:Version}),
  ${misc:Depends}
-Breaks:
- libsoundtouch1-dev
-Replaces:
- libsoundtouch1-dev
-Provides:
- libsoundtouch1-dev
 Description: Development files for the sound stretching library
  SoundTouch is a library that can be used to change pitch and time of
  soundfiles independently.
