## soundtouch 2.1.2%2Bds1

=== debian/changelog ===
soundtouch (2.1.2+ds1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:24 +0100

soundtouch (2.1.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix double free (CVE-2018-17097). (Closes: #913895)
    - Fix assertion failure (CVE-2018-17096).
    - Fix assertion failure (CVE-2018-14045). (Closes: #905504)
    - Fix buffer overflow (CVE-2018-1000223). (Closes: #905491)
    - Fix assertion failure (CVE-2018-14044). (Closes: #905504)
    - Fix heap corruption (CVE-2018-17098). (Closes: #913894)
  * debian/watch: Update watch file for gitlab
  * debian/copyright: Repack to remove DLLs and pre-built JARs for Android.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Dec 2018 23:16:03 +0100
