## soundtouch 2.1.2+ds1

=== debian/changelog ===
soundtouch (2.1.2+ds1-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Jan 2019 15:27:38 -0800
