=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10.2),
 Rules-Requires-Root: no
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch
