## soundtouch 2.2%2Bds1

=== debian/watch ===
version=4
opts="repacksuffix=+ds1,dversionmangle=auto" \
https://gitlab.com/soundtouch/soundtouch/tags .*/soundtouch@ANY_VERSION@\.tar\.gz
