## soundtouch 2.2+ds1

=== debian/changelog ===
soundtouch (2.2+ds1-2) unstable; urgency=medium

  * Team upload
  * debian/rules: Disable neon on armhf (Closes: #987534)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 10:14:22 +0200

soundtouch (2.2+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream version 2.2+ds1
  * Add an soundstretch autopkgtest
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Update d/copyright year
  * Add me to the d/ section of d/copyright
  * d/copyright: http > https
  * d/rules: Add hardening
  * Add d/salsa-ci.yml
  * Add d/upstream/metadata

  [ Sebastian Ramacher ]
  * debian/libsoundtouch.maintscript: Remove obsolete maintscript

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Nov 2020 16:11:16 +0100
