=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 10.2),
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch
