## soundtouch 2.3.1+ds1

=== debian/changelog ===
soundtouch (2.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 2.3.1+ds1
  * d/control: Bump S-V to 4.6.0
  * Improve autopkgtest to better deal with small inaccuracies
  * Update d/copyright year for my entry

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Sep 2021 22:33:32 +0200
