## soundtouch 2.3.2%2Bds1

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: libs
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch
