=== debian/changelog ===
soundtouch (2.3.2+ds1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:50:10 +0200

soundtouch (2.3.2+ds1-1) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/watch: moved to codeberg.org

  [ Sam Q ]
  * Replace watch

  [ Dennis Braun ]
  * New upstream version 2.3.2+ds1
  * d/watch: Add dversionmangle=auto
  * Bump Standards-Version to 4.6.1
  * Change my email address to snd@debian.org

 -- Dennis Braun <snd@debian.org>  Mon, 28 Nov 2022 23:03:12 +0100
