=== debian/watch ===
version=4
opts=dversionmangle=auto,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/soundtouch-$1\.tar\.gz/ \
  https://codeberg.org/soundtouch/soundtouch/tags .*/v?(\d\S+)\.tar\.gz
