=== debian/changelog ===
soundtouch (2.3.3+ds-1) unstable; urgency=medium

  * New upstream version 2.3.3+ds
    + Set repacksuffix to +ds
  * Bump Standards-Version to 4.6.2
  * Small improvement for the autopkgtest

 -- Dennis Braun <snd@debian.org>  Tue, 16 Apr 2024 21:47:35 +0200
