=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch
