## soundtouch 2.4.0+ds

=== debian/changelog ===
soundtouch (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds
  * Bump Standards-Version to 4.7.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Wed, 09 Apr 2025 20:15:33 +0200
