=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (,$(filter-out armhf,$(DEB_HOST_ARCH)))
confflags += --disable-neon-optimizations
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${confflags}

override_dh_makeshlibs:
	dh_makeshlibs -plibsoundtouch1 -V 'libsoundtouch1 (>= 2.0.0)'
